### GENERATE SYNTHETIC SIGNAL AND RUN EMPIRICAL MODE DECOMPOSITION ###

library(hht)

#Create data 

set.seed(628)
dt <- 0.01
noise.amp <- 0.1
tt <- seq_len(10000)*dt
sig <- cos(2*pi*tt+0.5*sin(4*pi*tt))+sin(pi*tt/10)+rnorm(length(tt),0,noise.amp)
main <- "STOKIAN WAVE"

emd.result <- Sig2IMF(sig, tt) #Use default EMD

#####################################################

### GENERATE FIGURE 2 ###

imf.list=4:8

postscript(file="../figure_02.eps", height=6, width=6)
PlotIMFs(emd.result, imf.list = imf.list, residue = FALSE)
dev.off()

