library(hht)
trials <- 1000 
nimf <- 10
trials.dir <- "stokes_eemd"
eemd.result <- EEMDCompile(trials.dir, trials, nimf)

freq.span <- c(0, 5)
dfreq <- 0.01
time.span <- c(70, 80)
hgram=HHRender(eemd.result, dt, dfreq,
     freq.span = freq.span, time.span = time.span)
cluster.span=c(10, 1000)
amp.span=c(0.5, 1.0)

main <- "STOKIAN WAVE"

colormap=rev(gray(0:250/500))
backcol=c(255, 255, 255)


postscript(file="figure_04_bw.eps")
HHGramImage(hgram, time.span = time.span, freq.span = freq.span, 
     amp.span = amp.span, cluster.span = cluster.span, main=main,
     colormap = colormap, backcol = backcol, pretty = TRUE, 
     img.x.lab = "Time (s)", img.y.lab = "Frequency (Hz)",
     img.x.format = "%d", img.y.format = "%d", colorbar.format = "%.01f",
     trace.format = "%1.f" )
dev.off()

colormap = NULL
backcol = c(0,0,0) 
amp.span <- c(0.25, 1.5)
postscript(file="figure_04_col.eps")
HHGramImage(hgram, time.span = time.span, freq.span = freq.span,
     amp.span = amp.span, cluster.span = cluster.span, main=main,
     colormap = colormap, backcol = backcol, pretty = TRUE,
     img.x.lab = "Time (s)", img.y.lab = "Frequency (Hz)",
     img.x.format = "%d", img.y.format = "%d", colorbar.format = "%.01f",
     trace.format = "%1.f" )
dev.off()
