### GENERATE SYNTHETIC SIGNAL AND RUN EMPIRICAL MODE DECOMPOSITION ###

library(hht)

#Create data 

set.seed(628)
dt <- 0.01
noise.amp <- 0.1
tt <- seq_len(10000)*dt
sig <- cos(2*pi*tt+0.5*sin(4*pi*tt))+sin(pi*tt/10)+rnorm(length(tt),0,noise.amp)
main <- "STOKIAN WAVE"

#####################################################

### BUILD ENSEMBLE EMPIRICAL MODE DECOMPOSITION ###
#This is an example of calculating in series
#However
#I recommend running the trials in parallel using a computing cluster
#Since each trial is statistically independent, you can run each one on a different core.
#Instead of several days, your job will be finished in about ten minutes, if not less.

trials <- 1000 #This is going to take a while!
nimf <- 10
trials.dir <- "stokes_eemd"

EEMD(sig, tt, noise.amp, trials, nimf,  trials.dir = trials.dir)


#Compile EEMD runs
eemd.result <- EEMDCompile(trials.dir, trials, nimf)

